@font-face {
  font-family: "toyota";
  font-style: normal;
  font-weight: 100;
  src: url("{% static 'layout/font/tdem/Toyota.ttf' %}");
}

@font-face {
  font-family: "toyotabook";
  font-style: normal;
  font-weight: 100;
  src: url("{% static 'layout/font/tdem/ToyotaBook.ttf' %}");
}

@font-face {
  font-family: "notosans";
  font-style: normal;
  font-weight: 100;
  src: url("{% static 'layout/font/tdem/NotoSansJP.ttf' %}");
}

@font-face {
  font-family: "notosansth";
  font-style: normal;
  font-weight: 100;
  src: url("{% static 'layout/font/tdem/NotoSansThai.ttf' %}");
}

body {
  background-color: #ffffff;
  font-family: "notosans";
  background-repeat: no-repeat;
  background-size: 100% 120%;
  /* height: 100vh; */
  height: auto; 
  display: flex;
  justify-content: center;
}

.frame {
  width: 375px;
  height: auto;
  box-shadow: rgba(0, 0, 0, 0.35) 0 5px 15px;
  border-radius: 4px;
  margin: 10px;
}

.mt-10 {
  margin-top: 10px;
  margin-left: 10px;
}

.mt-20 {
  margin-top: 20px;
}

.mb-10 {
  margin-bottom: 10px;
}

.mb-20 {
  margin-bottom: 20px;
}

.display-inline {
  display: inline-block;
}

.text-center {
  text-align: center;
}

.background-mb {
  display: block;
  background-image: url("../images/bg-company.jpg");
  background-color: darkgray;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100% auto;
  /* height: 21vh; */
  height: auto;
  position: inherit;
  width: 107%;
  margin-left: -12px;
}

.box-company-logo {
  text-align: center;
}

.company-logo {
  text-align: center;
}

.company-logo img {
  width: 170px;
  padding: 10px;
}

.box-language-change {
  text-align: right;
  position: relative;
  right: 10px;
  top: 10px;
}

.box-select {
  display: block;
  background-color: #ffffff;
  border: 1px solid #000;
  border-radius: 25px;
  padding: 5px 10px;
  font-size: 12px;
  font-weight: 600;
}

.box-select img {
  vertical-align: text-top;
  width: 20px;
  height: auto;
}

.box-company-logo {
  text-align: center;
  margin-top: -34px;
}

.company-logo {
  text-align: center;
}

.company-logo img {
  width: 150px;
  background-color: #f0ecec8f;
  padding: 10px;
  border-radius: 0px 0px 0px 0px;
}

.box-profile {
  /* margin-top: 25px; */
  width: 96%;
  background-color: #00000054;
  /* border-radius: 0px 0px 0px 0px; */
  border-radius: 0px 0px 0px 0px;
  /* margin: 10px 7px; */
  margin: 20px 0px 0px 0px;
  margin-left: auto;
  margin-top: -100px; /* ปรับความสูงกรอบ */
  position: relative;
  z-index: 0;
}

.box-personal-photo {
  text-align: center;
  margin-top: 20px;
  /* background-color: #FFB8BF; */
}

.personal-photo {
  width: 120px;
  height: auto;
  text-align: center;
  position: relative;
  z-index: 2;
}

.personal-photo img {
  width: 120px;
  height: auto;
  margin-left: 7px;
}

.personal-name-en {
  margin-top: 60px;
  font-size: 13px;
  font-family: "toyota";
  font-weight: 400;
  color: #ffffff;
  text-shadow: 2px 2px 4px #000000;
  position: relative;
  z-index: 2;
}

.personal-name-jp {
  font-size: 11px;
  font-family: "notosans";
  font-weight: 600;
  color: #ffffff;
  text-shadow: 2px 2px 4px #000000;
  position: relative;
  z-index: 2;
}

.personal-name-th {
  font-size: 12px;
  font-family: "notosansth";
  font-weight: 600;
  color: #ffffff;
  text-shadow: 2px 2px 4px #000000;
  position: relative;
  z-index: 2;
}

.box-personal-photo {
  text-align: center;
  /* margin-top: 20px; */
  margin-top: 10px;
  /* background-color: #FFB8BF; */
}

.personal-position {
  font-family: "toyota";
  font-size: 15px;
  font-weight: 900;
}

.personal-position-detail {
  font-family: "toyota";
  font-size: 11px;
}

.box-detail {
  display: block;
  padding: 20px;
  font-weight: 600;
}

.qr-code {
  display: block;
  position: inherit;
  /* margin-top: -80px;
  margin-left: 280px; */

  margin-top: -110px;
  margin-left: 272px;
}

.qr-code img {
  /* width: 35px; */
  width: 56px;
}

.section {
  font-family: "toyota";
  font-size: 15px;
  /* font-weight: 600; */
  font-weight: 900;
  text-align: center;
  margin-top: 11px;
}

.section-sub {
  font-family: "toyota";
  font-size: 12.5px;
  font-weight: 100;
  text-align: center;
}

.department,
.tax-id,
.tal,
.website {
  font-family: "toyota";
  font-size: 12px;
  font-weight: 200;
}

.department img,
.tax-id img,
.tal img,
.website img {
  display: inline-block;
  width: 23px;
  height: 23px;
  padding: 2px;
}

.tax-id {
  text-indent: 25px;
}

.profile-map {
  background-color: #eb0a1e;
  /* height: 51px; */
  height: 41px;
  width: auto;
  margin-top: -20px;
  /* margin-bottom: 15px; */
  margin-bottom: 10px;
  /* margin-left: 22px; */
  /* padding: 7px 3px 3px 3px; */
  /* padding: 7px -3px 3px 3px; */
  padding: 1px 1px 1px 1px;
}

.company-profile,
.google-map {
  display: inline-block;
  text-align: center;
  color: #ffffff;
  font-family: "toyota";
  /* text-shadow: 2px 2px 4px #000000; */
  font-size: 9px;
}

.company-profile img,
.google-map img {
  display: inline-block;
  width: 35px;
}

.company-profile span,
.google-map span {
  vertical-align: middle;
  font-size: 12px;
  margin-left: auto;
}

.box-btn {
  display: block;
  margin-bottom: 20px;
  text-align: center;
}

.btn-style {
  background: #f2dcde;
  background-image: linear-gradient(to bottom, #f2dcde, #ffb8bf);
  -webkit-border-radius: 28;
  border-radius: 28px;
  box-shadow: 1px 3px 4px #666666;
  font-family: Arial;
  color: #000000;
  /* font-size: 14px;
  padding: 5px 10px 5px 10px; */
  font-size: 11px;
  padding: 5px -0px 0px -5px;
  width: 150px;
  height: 25px;
  border: none;
  font-style: italic;
  font-family: "toyota";
  font-weight: 100;
}

.box-link {
  display: block;
  padding: 10px 20px;
  font-weight: 600;
}

.box-banner {
  display: block;
  width: 100%;
  height: 200px;
  border: 2px solid #000000;
  background-color: #ffffff;
  padding-bottom: 10px;
}

.banner-logo img {
  width: 130px;
  background-color: #ffffff;
  padding: 10px;
}

.banner-masci-logo {
  text-align: right;
  margin-right: 10px;
}

.banner-masci-logo img {
  width: 70px;
  height: auto;
  /* position: absolute; */
  /* right: 0px; */
  margin-top: 10px;
}

.full-name-eng {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 11px;
  font-weight: 600;
}

.full-name-th {
  font-family: "notosansth";
  padding: 0px 15px;
  font-size: 11px;
  font-weight: 600;
}

.full-name-jp {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 8px;
  font-weight: 900;
}

.business-office {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 7px;
}

.general-affaire-department {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 7px;
}

.company-name {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 8px;
  font-weight: 600;
}

.address {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 7px;
}

.tax {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 6.5px;
  margin-top: 5px;
}

.tel {
  font-family: "toyota";
  padding: 0px 0px 0px 15px;
  font-size: 6.5px;
  /* width: 20rem; */
}

.fax {
  font-family: "toyota";
  padding: 0px;
  font-size: 6.5px;
}

.mobile {
  font-family: "toyota";
  padding: 0px 5px 0px 15px;
  font-size: 6.5px;
}

.email {
  font-family: "toyota";
  padding: 0px 15px;
  font-size: 6.5px;
}

.box-phone-book {
  display: block;
}
.box-phone-book img {
  width: auto;
  height: 96px;
}

.box-export {
  display: block;
}

.box-export img {
  width: auto;
  height: 96px;
}

.box-btn-export {
  display: ruby-text;
  text-align: center;
}

.btn-export {
  display: block;
  padding: 10px;
  background-color: #156082;
  border: 1px solid #156082;
  border-radius: 25px;
  color: #ffffff;
  font-size: 16px;
  font-weight: 900;
  min-width: 180px;
  max-width: 180px;
}
/* customiZe */
@media only screen and (max-width: 1270px) {
  .box-profile {
    /* margin-top: 10px;
    width: 96%;
    height: 100px;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px; */

    margin-top: 25px;
    /* width: 96%; */
    width: 100%;
    /* margin-left: 0px; */
    margin-left: auto;
    height: auto;
    background-color: #00000054;
    border-radius: 0px 0px 0 0;
    margin-top: -100px; /* ปรับความสูงกรอบ */
    position: relative;
    z-index: 0;
  }

  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 85px;
    height: auto;
    margin-left: 15px;
  }

  .personal-name-en {
    margin-top: 40px;
    margin-left: 10px;
  }

  .personal-name-th {
    margin-left: 10px;
  }
}
/* เฉพาะ หน้าจอกว้างน้อยกว่า 1024px */
@media only screen and (max-width: 1024px) and (orientation: portrait) {
  .background-mb{
    height: auto;
  }

  .frame{
    /* height: 1000px; */
    height: auto;
    padding-bottom: 15px;
  }
}

/* เฉพาะ หน้าจอกว้างน้อยกว่า 820px */
@media only screen and (max-width: 820px) and (orientation: portrait) {
  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */
  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 135px;
    height: auto;
    margin-left: 15px;
  }
  .personal-name-en {
    margin-top: 60px;
    margin-left: 10px;
  }
  .personal-name-th{
    margin-left: 10px;
  }
}


/* เฉพาะ หน้าจอกว้างน้อยกว่า 768px */
@media only screen and (max-width: 768px) and (orientation: portrait) {
  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */
  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 135px;
    height: auto;
    margin-left: 15px;
    /* margin-left: 0px; */
  }
  .personal-name-en {
    margin-top: 60px;
    margin-left: 10px;
  }
  .personal-name-th{
    margin-left: 10px;
  }
}


/* เฉพาะ หน้าจอกว้างน้อยกว่า 480px และความสูงน้อยกว่า 850px */
/* เฉพาะ หน้าจอกว้างน้อยกว่า 480px */
@media only screen and (max-width: 480px) and (orientation: portrait) {
  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */
}

/* เฉพาะ หน้าจอกว้างน้อยกว่า 414px */
@media only screen and (max-width: 414px) and (orientation: portrait) {
  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */
  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 112px;
    height: auto;
    /* margin-left: 15px; */
    margin-left: 0px;
  }
  .personal-name-en {
    margin-top: 60px;
  }
}

/* เฉพาะ หน้าจอกว้างน้อยกว่า 390px */
@media only screen and (max-width: 390px) and (orientation: portrait) {
  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */
  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 104px;
    height: auto;
    /* margin-left: 15px; */
    margin-left: 0px;
  }
  .personal-name-en {
    margin-top: 50px;
  }
}

/* เฉพาะ หน้าจอกว้างน้อยกว่า 375px */
@media only screen and (max-width: 375px) and (orientation: portrait) {

  .frame{
    height: auto;
    padding-bottom: 15px;;
  }

  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */
  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 100px;
    height: auto;
    margin-left: 15px;
    /* margin-left: 0px; */
  }
  .personal-name-en {
    margin-top: 30px;
  }
}

@media screen and (min-width: 13in) and (max-width: 16in) {

  /* สไตล์ CSS สำหรับหน้าจอโน้ตบุ๊คขนาด 13-16 นิ้ว */
  /* เพิ่มสไตล์ CSS ที่คุณต้องการให้เหมาะสมกับหน้าจอขนาดดังกล่าวที่นี่ */
  .frame {
    height: auto;
    padding-bottom: 15px;;
  }

  /* .box-profile {
    margin-top: 59px;
    width: 94%;
    margin-left: 12px;
    height: 3rem;
    background-color: #00000054;
    border-radius: 0px 0px 0px 0px;
    margin-top: -48px;
    position: relative;
    z-index: 0;
  } */

  .personal-photo {
    text-align: center;
  }

  .personal-photo img {
    width: 84px;
    height: auto;
    margin-left: 7px;
  }

  .personal-name-en {
    margin-top: 30px;
    
  }
}